---
name: HoshiDefault
route: /Form/HoshiDefault
menu: Form
---

import { Playground, PropsTable } from 'docz'
import HoshiDefault from '../../../src'
import { colors } from '@barcard/functions'

## HoshiDefault

## About

Hoshi-animated text input with default prop types.

## Properties

<PropsTable of={HoshiDefault} includeDescription={true} />

## Basic Usage

<Playground>
  <HoshiDefault
    label={'Default Hoshi'}
    borderColor={colors.teal}
    onChangeText={() => console.log('Changed text.')}
    onBlur={() => console.log('Handled blur.')}
    multiline={false}
    secureTextEntry={false}
    numberOfLines={1}
    placeholderTextColor={colors.teal}
    renderChildren={() => {
      return null
    }}
  />
</Playground>
